SSTableReader.EmptyCompactionScanner (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.sstable

## Class SSTableReader.EmptyCompactionScanner

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableReader.EmptyCompactionScanner

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtomIterator>, ICompactionScanner, CloseableIterator<OnDiskAtomIterator>
  Enclosing class:
    SSTableReader

      protected class SSTableReader.EmptyCompactionScanner
      extends java.lang.Object
      implements ICompactionScanner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableReader.EmptyCompactionScanner(java.lang.String filename)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `getBackingFiles()`
    `long` | `getCurrentPosition()`
    `long` | `getLengthInBytes()`
    `boolean` | `hasNext()`
    `OnDiskAtomIterator` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableReader.EmptyCompactionScanner

          public SSTableReader.EmptyCompactionScanner(java.lang.String filename)

  - ### Method Detail

    - #### getLengthInBytes

          public long getLengthInBytes()

      Specified by:
        `getLengthInBytes` in interface `ICompactionScanner`

    - #### getCurrentPosition

          public long getCurrentPosition()

      Specified by:
        `getCurrentPosition` in interface `ICompactionScanner`

    - #### getBackingFiles

          public java.lang.String getBackingFiles()

      Specified by:
        `getBackingFiles` in interface `ICompactionScanner`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### next

          public OnDiskAtomIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<OnDiskAtomIterator>`

Copyright © 2014 The Apache Software Foundation